Subject: Re: bug#61710: 30.0.50; frame parameter `(fullscreen . maximized)' does not work with PGTK and emacsclient --create-frame

From: Alynx Zhou <[email-masked]>
Date: Fri, 24 Feb 2023 18:21:44 +0800

So, after taking another afternoon on commenting code or adding 
`message`, the problem is located at the last 2 lines of 
`server-switch-buffer`:

```
     (when server-raise-frame
       (select-frame-set-input-focus (window-frame)))))
```

When I set `server-raise-frame` to `nil`, the newly created frame is 
maximized properly, I am not sure why `select-frame-set-input-focus` 
causes such a bug, but I guess it is related on how PGTK handles focus 
on Wayland (actually I think it should do nothing, because Wayland 
clients are not allowed to grab focus explicitly, but there must be some 
interesting things).

I'd like to find out what's wrong with it tomorrow, but at least I have 
a workaround now!

Alynx